/*
 * 68k.h: Contains CPU type definitions, etc.
 */

void                            CPUDebug();
unsigned                        CPUGetPC();
void                            CPUSetPC(unsigned);
unsigned                        CPUGetSR();
void                            CPUSetSR(unsigned);
unsigned                        CPUGetA(int);
void                            CPUSetA(int, unsigned);
unsigned                        CPUGetD(int);
void                            CPUSetD(int, unsigned);
int                             CPUGetType();
void                            CPUInit();
int                             (*CPURun)(int);
int                             (*CPUInterrupt)(int);

extern int                      cpu_type;

/* 68000 emulator types */
#define STARSCREAM_CPU          0
#define RESERVED_CPU            1
#define VOLTRON_CPU             2    
#define DEFAULT_CPU             STARSCREAM_CPU

/* interrupt types */
#define VINTERRUPT              0
#define HINTERRUPT              1
#define EXTINTERRUPT            2
