/*
 * vga.h
 */

/* resolutions -- keep these values, djgppkey.asm is hardcodes to use them */
#define MODE13                  0
#define MODEX                   1
#define TEXTMODE                2

/* VGA ports */
#define ATTRIB_REG              0x3c0
#define PEL_MASK_REG            0x3c6
#define DAC_STAT_REG            0x3c7
#define PEL_READ_ADDR_REG       0x3c7
#define PEL_WRITE_ADDR_REG      0x3c8
#define PEL_DATA_REG            0x3c9
#define INPUT_STATUS            0x3da
#define MISC_ADDR               0x3c2   /* these defs are from twkuser.h */
#define VGAENABLE_ADDR          0x3c3
#define SEQU_ADDR               0x3c4
#define GRACON_ADDR		0x3ce
#define CRTC_ADDR		0x3d4
#define STATUS_ADDR		0x3da


/* VGA functions */
void    SetPalette(unsigned char, unsigned short int);
void    ResetPalette();
int     GraphicsGetMode();
void    GraphicsSetMode(int);
void    GraphicsInit(int);
void    GraphicsDeinit();
