/*
 * z80.h
 */

int             (*Z80Run)(int);
int             (*Z80Interrupt)(int);
unsigned        Z80Read(unsigned);
void            Z80Write(unsigned, unsigned);
unsigned        Z80GetAF();
void            Z80SetAF(unsigned);
unsigned        Z80GetBC();
void            Z80SetBC(unsigned);
unsigned        Z80GetDE();
void            Z80SetDE(unsigned);
unsigned        Z80GetHL();
void            Z80SetHL(unsigned);
unsigned        Z80GetIX();
void            Z80SetIX(unsigned);
unsigned        Z80GetIY();
void            Z80SetIY(unsigned);
unsigned        Z80GetPC();
void            Z80SetPC(unsigned);
unsigned        Z80GetSP();
void            Z80SetSP(unsigned);
unsigned        Z80GetAFPrime();
void            Z80SetAFPrime(unsigned);
unsigned        Z80GetBCPrime();
void            Z80SetBCPrime(unsigned);
unsigned        Z80GetDEPrime();
void            Z80SetDEPrime(unsigned);
unsigned        Z80GetHLPrime();
void            Z80SetHLPrime(unsigned);
unsigned        Z80GetI();
void            Z80SetI(unsigned);
void            Z80Init(int);
void            Z80Reset();

/* Z80 emulator types */
#define RAZE_Z80                0
#define DEFAULT_Z80             RAZE_Z80

